
Infrastructure - Task #2287

Story # 2249 (Closed): Build Release of d1_common_java

ObjectList.sizeObjectInfoList() can throw null pointer

2012-02-03 23:00 - Rob Nahf

Status: Closed Start date: 2012-02-06

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Subtasks:

Task # 2288: Create a couple test Methods in dataone_common_java Closed

History

#1 - 2012-02-03 23:05 - Rob Nahf

- Category set to d1_common_java

- Assignee set to Robert Waltz

when there are no objects returned from CNRead.listObjects() - possible even if objects exist on the system (date filtering, for example) - the

objectInfoList property is null.

this is probably a shortcoming with current implementation of code generation.

Desired behavior is for the method to return 0 (zero)

#2 - 2012-02-03 23:06 - Rob Nahf

- Parent task set to #2249

#3 - 2012-02-06 19:18 - Robert Waltz

- Status changed from New to In Progress

Seems to be a problem with the runtime overwriting the ObjectInfo attribute with a null of the ObjectList class.

code generation looks correct assuming the runtime was not messing things up. Maybe there should be more checks on the getter/setter methods

generated by the JibX CollectionMethodsDecorator.

#4 - 2012-02-10 02:02 - Robert Waltz

- Status changed from In Progress to Closed
